import { CNode, CSelector, CProperties } from './types';
export interface createCNode {
    (path: string | CSelector): CNode;
    (path: string | CSelector, children: CNode[]): CNode;
    (path: string | CSelector, properties: CProperties): CNode;
    (path: string | CSelector, properties: CProperties, children: CNode[]): CNode;
}
export interface CSSRenderInstance {
    context: {
        [key: string]: any;
    };
    id: string;
    h: createCNode;
    mount: (nodes: CNode[] | CNode, id: string | number) => HTMLStyleElement;
    use: (plugin: CSSRenderPlugin, ...args: any[]) => void;
    config: CSSRenderConfig;
}
export interface CSSRenderPlugin {
    install: (instance: CSSRenderInstance, ...args: any[]) => void;
    [key: string]: any;
}
interface CSSRenderConfig {
    preserveEmptyBlock: boolean;
}
export declare function CSSRender(config?: CSSRenderConfig): CSSRenderInstance;
export {};
